#library "monstermash"
#include "zcommon.acs"

script "CheckSpeciesInfightingValue" (void)
{
	if(GetCVar("speciesinfighting") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("speciesinfighting") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "SetSpecies" (int arg1)
{
	switch (arg1)
	{
		case 1:
			SetActorProperty(0, APROP_Species, "DoomImpMM");
			break;
		case 2:
			SetActorProperty(0, APROP_Species, "Demon");
			break;
		case 3:
			SetActorProperty(0, APROP_Species, "LostSoul");
			break;
		case 4:
			SetActorProperty(0, APROP_Species, "Cacodemon");
			break;
		case 5:
			SetActorProperty(0, APROP_Species, "HellNoble");
			break;
		case 6:
			SetActorProperty(0, APROP_Species, "Arachnotron");
			break;
		case 7:
			SetActorProperty(0, APROP_Species, "Revenant");
			break;
		case 8:
			SetActorProperty(0, APROP_Species, "Mancubus");
			break;
		case 9:
			SetActorProperty(0, APROP_Species, "Cyberdemon");
			break;
	}
}

script "CheckLandmineValue" (void)
{
	if(GetCVar("landminespawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("landminespawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckAutoShotgunSpawnValue" (void)
{
	if(GetCVar("autoshotgunspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("autoshotgunspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckChaingunSpawnValue" (void)
{
	if(GetCVar("chaingunspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("chaingunspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckNailgunSpawnValue" (void)
{
	if(GetCVar("nailgunspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("nailgunspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckGrenadeLauncherSpawnValue" (void)
{
	if(GetCVar("grenadelauncherspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("grenadelauncherspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckHomingRocketLauncherSpawnValue" (void)
{
	if(GetCVar("homingrocketlauncherspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("homingrocketlauncherspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckLightningGunSpawnValue" (void)
{
	if(GetCVar("lightninggunspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("lightninggunspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckFlamethrowerSpawnValue" (void)
{
	if(GetCVar("flamethrowerspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("flamethrowerspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckRepeaterSpawnValue" (void)
{
	if(GetCVar("repeaterspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("repeaterspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckDevastatorSpawnValue" (void)
{
	if(GetCVar("devastatorspawn") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("devastatorspawn") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckRailgunValue" (void)
{
	if(GetCVar("railgunreplace") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("railgunreplace") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("railgunreplace") == 2)
	{
		SetResultValue(2);
		terminate;
	}
	else if(GetCVar("railgunreplace") == 3)
	{
		SetResultValue(3);
		terminate;
	}
}

script "CheckPyroCannonValue" (void)
{
	if(GetCVar("pyrocannonreplace") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("pyrocannonreplace") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("pyrocannonreplace") == 2)
	{
		SetResultValue(2);
		terminate;
	}
	else if(GetCVar("pyrocannonreplace") == 3)
	{
		SetResultValue(3);
		terminate;
	}
}

script "CheckPistolValue" (void)
{
	if(GetCVar("pistoltype") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("pistoltype") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("pistoltype") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckChainsawValue" (void)
{
	if(GetCVar("chainsawtype") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("chainsawtype") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckBFGValue" (void)
{
	if(GetCVar("bfgtype") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("bfgtype") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckASGValue" (void)
{
	if(GetCVar("asgreload") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("asgreload") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("asgreload") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckOverlordInfightingValue" (void)
{
	if(GetCVar("overlordinfighting") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("overlordinfighting") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckCenteredProjectilesValue" (void)
{
	if(GetCVar("centeredprojectiles") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("centeredprojectiles") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckFlyingReplacementsValue" (void)
{
	if(GetCVar("flyingreplacements") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("flyingreplacements") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("flyingreplacements") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckZombiemanThreeRoundBurstValue" (void)
{
	if(GetCVar("zombiemanthreeround") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("zombiemanthreeround") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckShotgunGuyReloadValue" (void)
{
	if(GetCVar("shotgunguyreload") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("shotgunguyreload") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckWraithDropoffValue" (void)
{
	if(GetCVar("wraithdropoff") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("wraithdropoff") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckBloodDemonLeapValue" (void)
{
	if(GetCVar("blooddemonleap") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("blooddemonleap") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckAgitatingSkelingtonValue" (void)
{
	if(GetCVar("agitatingskelingtons") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("agitatingskelingtons") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckPistolTrooperDropValue" (void)
{
	if(GetCVar("pistoltrooperdrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("pistoltrooperdrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckChainsawZombieDropValue" (void)
{
	if(GetCVar("chainsawzombiedrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("chainsawzombiedrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("chainsawzombiedrop") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckTriteDropValue" (void)
{
	if(GetCVar("tritedrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("tritedrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("tritedrop") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckSuperShotgunGuyDropValue" (void)
{
	if(GetCVar("supershotgunguydrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("supershotgunguydrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("supershotgunguydrop") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckAutoShotgunGuyDropValue" (void)
{
	if(GetCVar("autoshotgunguydrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("autoshotgunguydrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("autoshotgunguydrop") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckChaingunGuyDropValue" (void)
{
	if(GetCVar("chaingunguydrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("chaingunguydrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckZSecDropValue" (void)
{
	if(GetCVar("zsecdrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("zsecdrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckRocketZombieDropValue" (void)
{
	if(GetCVar("rocketzombiedrop") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("rocketzombiedrop") == 1)
	{
		SetResultValue(1);
		terminate;
	}
	else if(GetCVar("rocketzombiedrop") == 2)
	{
		SetResultValue(2);
		terminate;
	}
}

script "CheckGargoyleRaiseValue" (void)
{
	if(GetCVar("gargoyleraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("gargoyleraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckHadesElementalRaiseValue" (void)
{
	if(GetCVar("hadeselementalraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("hadeselementalraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckInfernalRaiseValue" (void)
{
	if(GetCVar("infernalraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("infernalraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckNightmareRaiseValue" (void)
{
	if(GetCVar("nightmareraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("nightmareraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckPhantomRaiseValue" (void)
{
	if(GetCVar("phantomraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("phantomraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckShadowRaiseValue" (void)
{
	if(GetCVar("shadowraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("shadowraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckTriteRaiseValue" (void)
{
	if(GetCVar("triteraise") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("triteraise") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckDevastatorPotatoValue" (void)
{
	if(GetCVar("potatodevastator") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("potatodevastator") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckFlamethrowerPotatoValue" (void)
{
	if(GetCVar("potatoflamethrower") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("potatoflamethrower") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}

script "CheckOverlordGoreValue" (void)
{
	if(GetCVar("overlordgore") == 0)
	{
		SetResultValue(0);
		terminate;
	}
	else if(GetCVar("overlordgore") == 1)
	{
		SetResultValue(1);
		terminate;
	}
}